import { Avatar, List, InputNumber, Space } from "antd";
import { DeleteOutlined, PlusCircleOutlined } from "@ant-design/icons";
import React, { useState } from "react";

const App = (props) => {
  //   const [amounts, setAmounts] = useState(1);
  const { onhandleAnmountChange } = props;
  const handleAmountChange = (e, ids) => {
    onhandleAnmountChange(ids, e);
  };
  const { onhandleDelete } = props;
  const handleDelete = (id) => {
    onhandleDelete(id);
  };
  return (
    <List
      itemLayout="horizontal"
      dataSource={props.buy}
      renderItem={(item) => {
        return (
          <List.Item
            style={{ borderBottom: "1px solid #e8e8e8" }}
            actions={[
              <InputNumber
                min={1}
                max={item.stock}
                keyboard={true}
                defaultValue={1}
                onChange={(e, id) => handleAmountChange(e, item.id)}
                value={item.amount}
                name={item.id}
              />,
              <DeleteOutlined onClick={(e) => handleDelete(item.id)} />,
            ]}
          >
            <List.Item.Meta
              avatar={<Avatar src={item.img} size={80} />}
              title={<a href="#">{item.title}</a>}
              description={
                <>
                  <div>單價 {item.price}</div>
                </>
              }
            />
          </List.Item>
        );
      }}
    />
  );
};

export default App;
